Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042854
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2020-01-14 13:532020-01-20 17:42
Reporterinigo_lergaView Statuspublic 
Assigned Toinigo_lerga 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revision490bb3f0f54b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042854: Apply new HQL Style in CreateLinesFromUtil.java

DescriptionCreateLinesFromUtil.java has one HQL query with:
- the HQL is hard to read because of formatting
Steps To Reproduce-
Proposed SolutionFollow new format as in http://wiki.openbravo.com/wiki/HQL_Coding_Conventions [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 

-  Notes
(0116881)
inigo_lerga (developer)
2020-01-15 09:25

Test Plan Mantis:
As the F&B International Group Admin role:
    - Go to the Sales Order window and create
      a new record with "Alimentos y Supermercados, S.A"
      as Business Partner, and Invoice Terms field as
      "Immediate".
    - Go to the Lines Tab and create a new record with
      "Cerveza Ale 0,5L" product with 70 in the
      Ordered Quantity field.
    - Press the Book button and then OK button in the
      popup window.
    - Go to the Create Shipment from Orders window
      and select the previously created Sales Order.
      Click in the Process button.
    - Go to the Sales Invoice window and create a new
      record with "Alimentos y Supermercados, S.A" as
      Business Partner. Then press the Create Lines
      From Order button and select all the lines from
      the Sales Order previously created. Press the
      Done button.
      
#In this moment the modified HQL is executed#
(0117087)
dmiguelez (developer)
2020-01-20 17:41

Test plan II.

Follow same test plan with Purchase flow
Purchase Order - Goods Receipt - Purchase Invoice
Any Business Partner and any Product
(0117088)
hgbot (developer)
2020-01-20 17:42

Repository: erp/devel/pi
Changeset: 490bb3f0f54b1f2ebd7ec6f95f2e81a49af5001a
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Wed Jan 15 09:28:05 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/490bb3f0f54b1f2ebd7ec6f95f2e81a49af5001a [^]

fixes BUG-42854:Applied new HQL Style

---
M src/org/openbravo/common/actionhandler/createlinesfromprocess/CreateLinesFromUtil.java
---
(0117089)
hgbot (developer)
2020-01-20 17:42

Repository: erp/devel/pi
Changeset: e470e8f2596ec880e6be132dc24cd8f81f90db4f
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Wed Jan 15 12:12:12 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/e470e8f2596ec880e6be132dc24cd8f81f90db4f [^]

related to ISSUE-42854: Copyright date updated

---
M src/org/openbravo/common/actionhandler/createlinesfromprocess/CreateLinesFromUtil.java
---
(0117090)
hgbot (developer)
2020-01-20 17:42

Repository: erp/devel/pi
Changeset: 60e8ef55b74402a02e388ab81d16b4b7bd87b494
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Jan 20 17:41:49 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/60e8ef55b74402a02e388ab81d16b4b7bd87b494 [^]

Related to ISSUE-42854: Code Review changes:
* Do not use Boolean.TRUE, keep old comparison as the code
is more redable

---
M src/org/openbravo/common/actionhandler/createlinesfromprocess/CreateLinesFromUtil.java
---
(0117092)
dmiguelez (developer)
2020-01-20 17:42

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2020-01-14 13:53 inigo_lerga New Issue
2020-01-14 13:53 inigo_lerga Assigned To => inigo_lerga
2020-01-14 13:53 inigo_lerga Modules => Core
2020-01-14 13:53 inigo_lerga Triggers an Emergency Pack => No
2020-01-14 13:55 inigo_lerga Relationship added related to 0041287
2020-01-15 08:28 inigo_lerga Status new => scheduled
2020-01-15 09:25 inigo_lerga Note Added: 0116881
2020-01-20 17:41 dmiguelez Note Added: 0117087
2020-01-20 17:42 hgbot Checkin
2020-01-20 17:42 hgbot Note Added: 0117088
2020-01-20 17:42 hgbot Status scheduled => resolved
2020-01-20 17:42 hgbot Resolution open => fixed
2020-01-20 17:42 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/490bb3f0f54b1f2ebd7ec6f95f2e81a49af5001a [^]
2020-01-20 17:42 hgbot Checkin
2020-01-20 17:42 hgbot Note Added: 0117089
2020-01-20 17:42 hgbot Checkin
2020-01-20 17:42 hgbot Note Added: 0117090
2020-01-20 17:42 dmiguelez Review Assigned To => dmiguelez
2020-01-20 17:42 dmiguelez Note Added: 0117092
2020-01-20 17:42 dmiguelez Status resolved => closed
2020-01-20 17:42 dmiguelez Fixed in Version => 3.0PR20Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker